change partitioning to use lvm, refactor for fsf server
[automated-distro-installer] / fai / config / scripts / D16 / 12-d16
diff --git a/fai/config/scripts/D16/12-d16 b/fai/config/scripts/D16/12-d16
new file mode 100755 (executable)
index 0000000..df3cd5c
--- /dev/null
@@ -0,0 +1,24 @@
+#!/bin/bash -x
+
+set -eE -o pipefail
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+
+if [[ $EUID != 0 ]]; then
+  echo "$0: error: expected to be root."
+  exit 1
+fi
+
+cat >$FAI_ROOT/etc/grub.d/40_custom <<EOF
+#!/bin/sh
+exec tail -n +3 \$0
+# This file provides an easy way to add custom menu entries.  Simply type the
+# menu entries you want to add after this comment.  Be careful not to change
+# the 'exec tail' line above.
+
+# https://www.coreboot.org/Serial_console # tty
+# but removed unneeded stuff
+
+serial --speed=$speed
+terminal_input --append  serial
+terminal_output --append serial
+EOF